import Vue from 'vue';
import Vuex from 'vuex';
import login from './login';
import dictionary from './dictionary';
import tPolicyDeclaration from './tPolicyDeclaration';
import tDeclarationApproval from './tDeclarationApproval';
import tPolicyInterpretation from './tPolicyInterpretation';
import companyidentify from './companyidentify';
import tUrgeHandle from './tUrgeHandle';
import tNewAssign from './tNewAssign';
import institution from './institution';
import financeclaims from './financeclaims';
import claimneed from './claimneed';
import follow from './follow';
import intelligentDocking from './intelligentDocking';
import intelligentFollow from './intelligentFollow';
import companyup from './companyup';
import profession from './profession';
import * as muta from './user/mutations';
import * as states from './user/state';
import otheruser from './otheruser';

Vue.use(Vuex);

export default new Vuex.Store({
  modules: {
    login,
    dictionary,
    tPolicyDeclaration,
    tDeclarationApproval,
    tPolicyInterpretation,
    companyidentify,
    tUrgeHandle,
    tNewAssign,
    institution,
    financeclaims,
    claimneed,
    follow,
    intelligentDocking,
    intelligentFollow,
    otheruser,
    companyup,
    profession
  },
  state: { ...states },
  mutations: { ...muta },
  actions: {},
});
